Subject: Re: [geonet/its] Standards about PKI models for vehicular networks

From: Alexandru Petrescu <[email-masked]>
Date: Mon, 01 Jun 2015 12:44:42 +0200

Thanks for the pointer, it seems very relevant to me, I went through it.

Hosnieh - is this reference ok for what you're looking for?

We may meet in Prague as bar bof.

Alex

Le 28/05/2015 13:47, William Whyte a écrit :
> I'm editor of IEEE 1609.2, which specifies some security mechanisms for
> use in V2X and which will be used in the US.
>
> Note that there's no particular "PKI model for vehicular networks", at
> least not in the US. In the US there are ITS applications which have
> security requirements and those requirements are in general met by
> application-specific mechanisms, as in the case of V2V safety or tolling,
> or by security mechanisms that work over IPv6 such as TLS or IPSec. In the
> US we've done a lot of work on making the system somewhat
> privacy-preserving, even against insider attacks at the CA, while at the
> same time allowing revocation; there's a description of those mechanisms
> in William Whyte, André Weimerskirch, Virendra Kumar, and Thorsten Hehn,
> “A Security Credential Management System for V2V Communications”, 2013
> IEEE Vehicular Networking Conference (VNC 2013), December 16-18, 2013,
> Boston, USA, which you can get a copy of at
> http://www.cvt-project.ir/Admin/Files/eventAttachments/A%20Security%20Cree
> ntial%20Management%20System%20for%20V2V%20Communications%20-%20VNC%20Confe
> rence%202013_514.pdf. Those mechanisms are being incorporated in the
> current working draft of 1609.2, not yet complete.
>
> The US approach doesn't have multi-hop at the network level, and there are
> no security mechanisms below Layer 7 other than IPSec. We've been
> considering link-layer encryption for single-hop services but are waiting
> for 802 to come up with a fast-setup encryption mechanism.
>
> I may be in Prague and would be happy to discuss in person.
>
> Cheers,
>
> William
>
> -----Original Message-----
> From: its [mailto:[email-masked]] On Behalf Of Alexandru Petrescu
> Sent: Thursday, May 28, 2015 5:23 AM
> To: Jong-Hyouk Lee
> Cc: [email-masked]
> Subject: Re: [geonet/its] Standards about PKI models for vehicular
> networks
>
> As for ETSI ITS there is this document publicly available which
> describes architecture and includes PKI (although not a "PKI model").
>
> ETSI TS 102 940 V1.1.1 (2012-06)
> "ITS communications security architecture and
>    security management"
>
> Recent ETSI ITS security discussions talk about certificate formats and
> how to sign messages.
>
> ETSI organizes a Security workshop on June 24 and 25 on "Security
> Assurance in ITS" thematic stream:
> http://www.etsi.org/news-events/events/870-security-week
>
> Alex
>
>
> Le 28/05/2015 10:45, Jong-Hyouk Lee a écrit :
>> I am not sure other standard models, but ETSI ITS security groups
>> published related documents and the European CAR 2 CAR Communication
>> Consortium (C2C-CC) also had internal documents. As I am no longer
>> active in them, I do not know the latest status.
>>
>> Cheers. -- Jong-Hyouk Lee, living somewhere between /dev/null and
>> /dev/random Protocol Engineering Lab., Sangmyung University
>>
>> #email: [email-masked] #webpage:
>> https://sites.google.com/site/hurryon
>>
>>> On May 7, 2015, at 8:58 PM, Alexandru Petrescu
>>> <[email-masked]> wrote:
>>>
>>> Hi,
>>>
>>> What are the standards that treat of PKI models in the particular
>>> case of vehicular networks?
>>>
>>> Alex
>>>
>>> _______________________________________________ its mailing list
>>> [email-masked] https://www.ietf.org/mailman/listinfo/its
>>
>>
>>
>
>
> _______________________________________________
> its mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/its
>
>

---

From: Hosnieh Rafiee <[email-masked]>
Date: Mon, 1 Jun 2015 11:25:37 +0000

Hi Alex,

Yes thanks for the information. That is sufficient.

Thanks a lot

> From: Alexandru Petrescu [mailto:[email-masked]]
> Sent: Monday, June 01, 2015 12:45 PM
> To: William Whyte; Jong-Hyouk Lee
> Cc: [email-masked]; Hosnieh Rafiee
> > I'm editor of IEEE 1609.2, which specifies some security mechanisms
> > for use in V2X and which will be used in the US.
> >
> > application-specific mechanisms, as in the case of V2V safety or
> > tolling, or by security mechanisms that work over IPv6 such as TLS or
> > IPSec. In the US we've done a lot of work on making the system
> > somewhat privacy-preserving, even against insider attacks at the CA,
> > while at the same time allowing revocation; there's a description of
> > those mechanisms in William Whyte, André Weimerskirch, Virendra
> Kumar,
> > and Thorsten Hehn, “A Security Credential Management System for V2V
> > Communications”, 2013 IEEE Vehicular Networking Conference (VNC
> 2013),
> > December 16-18, 2013, Boston, USA, which you can get a copy of at
> > http://www.cvt-
> project.ir/Admin/Files/eventAttachments/A%20Security%20
> > Cree
> > ntial%20Management%20System%20for%20V2V%20Communications%20-
> %20VNC%20C
> > onfe rence%202013_514.pdf. Those mechanisms are being incorporated in
> > the current working draft of 1609.2, not yet complete.
> >
> > The US approach doesn't have multi-hop at the network level, and
> there
> > are no security mechanisms below Layer 7 other than IPSec. We've been
> > considering link-layer encryption for single-hop services but are
> > waiting for 802 to come up with a fast-setup encryption mechanism.
> >
> > Recent ETSI ITS security discussions talk about certificate formats
> > and how to sign messages.
> >